summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorMike Auty <ikelos@gentoo.org>2007-09-23 17:49:53 +0000
committerMike Auty <ikelos@gentoo.org>2007-09-23 17:49:53 +0000
commit65f248b1fe822ef9358b9e9255a09306354617e9 (patch)
tree368379751aa48d473514c53c2121cf5cfe05a691 /eclass
parentAdded a new version of VMware Workstation 5.5 and VMware Player 1.0 for testing. (diff)
downloadvmware-65f248b1fe822ef9358b9e9255a09306354617e9.tar.gz
vmware-65f248b1fe822ef9358b9e9255a09306354617e9.tar.bz2
vmware-65f248b1fe822ef9358b9e9255a09306354617e9.zip
Add cleanup comments only when product is completely removed. Also allow disabling of DnD in open-vm-tools.
svn path=/trunk/; revision=215
Diffstat (limited to 'eclass')
-rw-r--r--eclass/vmware.eclass12
1 files changed, 7 insertions, 5 deletions
diff --git a/eclass/vmware.eclass b/eclass/vmware.eclass
index 8ad4ca0..48c67eb 100644
--- a/eclass/vmware.eclass
+++ b/eclass/vmware.eclass
@@ -402,9 +402,11 @@ vmware_pkg_postrm() {
then
product_extras=" and /etc/init.d/${product}"
fi
- echo
- elog "To remove all traces of ${product} you will need to remove the files"
- elog "in ${config_dir}${product_extras}."
- elog "If the vmware-modules package is installed, you may no longer need it."
- echo
+ if ! has_version app-emulation/${PN}; then
+ echo
+ elog "To remove all traces of ${product} you will need to remove the files"
+ elog "in ${config_dir}${product_extras}."
+ elog "If the vmware-modules package is installed, you may no longer need it."
+ echo
+ fi
}